# About Markdown Popups

## ColorHelper

ColorHelper makes work with colors easier by providing inline color previews in your documents (ST3 build 3118+) and offers tooltips with color previews of stylesheet colors, provides color translation, and allows the storing and accessing of favorite colors in color palettes.  Most features are optionally configurable. For the most part, these tooltips should show any time the cursor is in a CSS, SCSS, or SASS color.  It should also appear when in HTML style attributes.

![Screenshot1](images/composite.png)

![Screenshot2](images/color_picker.png)

![Screencap3](images/inline_preview.gif)

## Features

- Inline color previews.
- Useful tooltip popups that show the previews of selected colors.
- Support colors in CSS, SCSS, SASS, and HTML attributes.
- Show all the colors in a file in a special color palette in the tooltip.
- Allow saving, accessing, and managing colors in named color palettes all from the tooltip.
- Select and insert colors from the color palettes via the tooltip.
- Translate an existing color form to a new form the tooltip.  Supports `rgb`, `rgba`, `hex`, `hexa`, `hsl`, `hsla`, `gray`, `hwb`, and colors names.
- Can optionally treat `hexa` format `#RRGGBBAA` as `#AARRGGBB`.
